+++
title = "Power distribution"
date = "2010-03-09"
+++
<div class="newsContent">
    Today between 16:18 and 17:30 our services had smaller outages during the retirement of our APC UPS (thank you APC, it has served us well) and the installation of new PDU's in our racks. mirrors.dotsrc.org was down for 15 minutes from 17:18 to 17:33
</div>
